<!-- ...................................................................... -->
<!-- VOICEXML Common Attributes Module  ...................................... -->
<!-- file: voicexml-attribs-1.mod

     This is VOICEXML, a reformulation of HTML as a modular XML application.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-attribs-1.mod,v 4.0 2002/04/08 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES VOICEXML Common Attributes 1.0//EN"
       SYSTEM "voicexml-attribs-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Common Attributes

     This module declares many of the common attributes for the VOICEXML DTD.
     %NS.decl.attrib; is declared in the VOICEXML Qname module.
-->

<!ENTITY % VOICEXML.Accept.attrib "accept (exact | approximate) 'exact'" >

<!ENTITY % VOICEXML.Cache.attrib
	"fetchhint (prefetch|safe) #IMPLIED
	 fetchtimeout %Duration.datatype; #IMPLIED
	 maxage %Integer.datatype; #IMPLIED
	 maxstale %Integer.datatype; #IMPLIED"
>

<!ENTITY % VOICEXML.Next.attrib
	"next %URI.datatype; #IMPLIED
	 expr %Script.datatype; #IMPLIED"
>

<!ENTITY % VOICEXML.Item.attrib
	"name %FieldName.datatype; #IMPLIED
	 cond %Script.datatype; #IMPLIED
	 expr %Script.datatype; #IMPLIED" >

<!-- Scope attrib disallowed from X+V -->
<!ENTITY % VOICEXML.Scope.attrib "(document | dialog)" >

<!ENTITY % VOICEXML.Submit.attrib
	"method (get|post) 'get'
	 enctype %ContentType.datatype; 'application/x-www-form-urlencoded'
	 namelist %FieldNames.datatype; #IMPLIED"
>

<!-- end of voicexml-attribs-1.mod -->
