<!-- ...................................................................... -->
<!-- Voice XML Events Module  ............................................. -->
<!-- file: voicexml-events-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-events-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Events 1.0//EN"
       SYSTEM "voicexml-events-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Events

        catch, help, noinput, nomatch, error, throw

     This module declares the event element types and their attributes.
--> 

<!ENTITY % VOICEXML.Event.handler.attrib
	"count	%Integer.datatype; #IMPLIED
	 cond	%Script.datatype; #IMPLIED"
>

<!-- catch:  Definition List ............................ -->

<!ENTITY % VOICEXML.catch.element "INCLUDE" >
<![%VOICEXML.catch.element;[
<!ENTITY % VOICEXML.catch.content "( %Exec.mix; )*" >
<!ENTITY % VOICEXML.catch.qname  "catch" >
<!ELEMENT %VOICEXML.catch.qname; %VOICEXML.catch.content; >
<!-- end of catch.element -->]]>

<!ENTITY % VOICEXML.catch.attlist "INCLUDE" >
<![%VOICEXML.catch.attlist;[
<!ATTLIST %VOICEXML.catch.qname;
	event %EventNames.datatype; #REQUIRED
	%VOICEXML.Event.handler.attrib; >
<!-- end of catch.attlist -->]]>

<!-- help:  Definition List ............................. -->
<!ENTITY % VOICEXML.help.element "INCLUDE" >
<![%VOICEXML.help.element;[
<!ENTITY % VOICEXML.help.content "( %Exec.mix; )*" >
<!ENTITY % VOICEXML.help.qname  "help" >
<!ELEMENT %VOICEXML.help.qname; %VOICEXML.help.content; >
<!-- end of help.element -->]]>

<!ENTITY % VOICEXML.help.attlist "INCLUDE" >
<![%VOICEXML.help.attlist;[
<!ATTLIST %VOICEXML.help.qname;
	%VOICEXML.Event.handler.attrib; >
<!-- end of help.attlist -->]]>

<!-- noinput:  Definition List .......................... -->
<!ENTITY % VOICEXML.noinput.element "INCLUDE" >
<![%VOICEXML.noinput.element;[
<!ENTITY % VOICEXML.noinput.content "( %Exec.mix; )*" >
<!ENTITY % VOICEXML.noinput.qname  "noinput" >
<!ELEMENT %VOICEXML.noinput.qname; %VOICEXML.noinput.content; >
<!-- end of noinput.element -->]]>

<!ENTITY % VOICEXML.noinput.attlist "INCLUDE" >
<![%VOICEXML.noinput.attlist;[
<!ATTLIST %VOICEXML.noinput.qname;
	%VOICEXML.Event.handler.attrib; >
<!-- end of noinput.attlist -->]]>

<!-- nomatch:  Definition List .......................... -->
<!ENTITY % VOICEXML.nomatch.element "INCLUDE" >
<![%VOICEXML.nomatch.element;[
<!ENTITY % VOICEXML.nomatch.content "( %Exec.mix; )*" >
<!ENTITY % VOICEXML.nomatch.qname  "nomatch" >
<!ELEMENT %VOICEXML.nomatch.qname; %VOICEXML.nomatch.content; >
<!-- end of nomatch.element -->]]>

<!ENTITY % VOICEXML.nomatch.attlist "INCLUDE" >
<![%VOICEXML.nomatch.attlist;[
<!ATTLIST %VOICEXML.nomatch.qname;
	%VOICEXML.Event.handler.attrib; >
<!-- end of nomatch.attlist -->]]>

<!-- error:  Definition List ............................ -->
<!ENTITY % VOICEXML.error.element "INCLUDE" >
<![%VOICEXML.error.element;[
<!ENTITY % VOICEXML.error.content "( %Exec.mix; )*" >
<!ENTITY % VOICEXML.error.qname  "error" >
<!ELEMENT %VOICEXML.error.qname; %VOICEXML.error.content; >
<!-- end of error.element -->]]>

<!ENTITY % VOICEXML.error.attlist "INCLUDE" >
<![%VOICEXML.error.attlist;[
<!ATTLIST %VOICEXML.error.qname;
	%VOICEXML.Event.handler.attrib; >
<!-- end of error.attlist -->]]>

<!-- throw:  Definition List ............................ -->
<!ENTITY % VOICEXML.throw.element "INCLUDE" >
<![%VOICEXML.throw.element;[
<!ENTITY % VOICEXML.throw.content "EMPTY" >
<!ENTITY % VOICEXML.throw.qname  "throw" >
<!ELEMENT %VOICEXML.throw.qname; %VOICEXML.throw.content; >
<!-- end of throw.element -->]]>
                            
<!ENTITY % VOICEXML.throw.attlist "INCLUDE" >
<![%VOICEXML.throw.attlist;[
<!ATTLIST %VOICEXML.throw.qname;
	event %EventName.datatype; #IMPLIED
	eventexpr %Script.datatype; #IMPLIED
	message CDATA #IMPLIED
	messageexpr %Script.datatype; #IMPLIED >
<!-- end of throw.attlist -->]]>
                      
<!-- end of voicexml-events-1.mod -->