<!-- ...................................................................... -->
<!-- Voice XML Exec Module  ............................................. -->
<!-- file: voicexml-exec-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-exec-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Executable Content 1.0//EN"
       SYSTEM "voicexml-exec-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Executable content

        assign, clear, var, log, reprompt

     This module declares the executable content element types and their attributes.
--> 

<!ENTITY % VOICEXML.assign.qname "assign" >
<!ENTITY % VOICEXML.clear.qname "clear" >
<!ENTITY % VOICEXML.var.qname "var" >
<!ENTITY % VOICEXML.log.qname "log" >
<!ENTITY % VOICEXML.reprompt.qname "reprompt" >

<!-- assign:  Definition List ............................ -->

<!ENTITY % VOICEXML.assign.element "INCLUDE" >
<![%VOICEXML.assign.element;[
<!ENTITY % VOICEXML.assign.content "EMPTY" >
<!ELEMENT %VOICEXML.assign.qname; %VOICEXML.assign.content; >
<!-- end of assign.element -->]]>

<!ENTITY % VOICEXML.assign.attlist "INCLUDE" >
<![%VOICEXML.assign.attlist;[
<!ATTLIST %VOICEXML.assign.qname;
      name %FieldName.datatype; #REQUIRED
	expr %Script.datatype; #REQUIRED >
<!-- end of assign.attlist -->]]>

<!-- clear:  Definition List ............................ -->

<!ENTITY % VOICEXML.clear.element "INCLUDE" >
<![%VOICEXML.clear.element;[
<!ENTITY % VOICEXML.clear.content "EMPTY" >
<!ELEMENT %VOICEXML.clear.qname; %VOICEXML.clear.content; >
<!-- end of clear.element -->]]>

<!ENTITY % VOICEXML.clear.attlist "INCLUDE" >
<![%VOICEXML.clear.attlist;[
<!ATTLIST %VOICEXML.clear.qname;
	namelist %FieldNames.datatype; #REQUIRED >
<!-- end of clear.attlist -->]]>

<!-- var:  Definition List ............................ -->

<!ENTITY % VOICEXML.var.element "INCLUDE" >
<![%VOICEXML.var.element;[
<!ENTITY % VOICEXML.var.content "EMPTY" >
<!ELEMENT %VOICEXML.var.qname; %VOICEXML.var.content; >
<!-- end of var.element -->]]>

<!ENTITY % VOICEXML.var.attlist "INCLUDE" >
<![%VOICEXML.var.attlist;[
<!ATTLIST %VOICEXML.var.qname;
	name %FieldName.datatype; #REQUIRED
	expr %Script.datatype; #IMPLIED >
<!-- end of var.attlist -->]]>

<!-- log:  Definition List ............................ -->

<!ENTITY % VOICEXML.log.element "INCLUDE" >
<![%VOICEXML.log.element;[
<!ENTITY % VOICEXML.log.content 
	"( #PCDATA
       %Value.class;
     )*" >
<!ELEMENT %VOICEXML.log.qname; %VOICEXML.log.content; >
<!-- end of log.element -->]]>

<!ENTITY % VOICEXML.log.attlist "INCLUDE" >
<![%VOICEXML.log.attlist;[
<!ATTLIST %VOICEXML.log.qname;
	label CDATA #REQUIRED
	expr %Script.datatype; #IMPLIED >
<!-- end of log.attlist -->]]>

<!-- reprompt:  Definition List ............................ -->

<!ENTITY % VOICEXML.reprompt.element "INCLUDE" >
<![%VOICEXML.reprompt.element;[
<!ENTITY % VOICEXML.reprompt.content "EMPTY" >
<!ELEMENT %VOICEXML.reprompt.qname; %VOICEXML.reprompt.content; >
<!-- end of reprompt.element -->]]>

<!-- end of voicexml-exec-1.mod -->


