<!-- ...................................................................... -->
<!-- Voice XML Menu Module  ............................................... -->
<!-- file: voicexml-menu-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-menu-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Menu 1.0//EN"
       SYSTEM "voicexml-menu-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Menu and Menu children

        menu, choice

     This module declares the menu element types and their attributes.
--> 

<!-- choice:  Definition List ............................ -->

<!ENTITY % VOICEXML.choice.element "INCLUDE" >
<![%VOICEXML.choice.element;[
<!ENTITY % VOICEXML.choice.content 
	"( %Audio.mix;
	   %Grammar.class;
       | %TTS.mix; )*" >
<!ENTITY % VOICEXML.choice.qname "choice" >       
<!ELEMENT %VOICEXML.choice.qname; %VOICEXML.choice.content; >
<!-- end of choice.element -->]]>

<!ENTITY % VOICEXML.choice.attlist "INCLUDE" >
<![%VOICEXML.choice.attlist;[
<!ATTLIST %VOICEXML.choice.qname;
	%VOICEXML.Cache.attrib; 
	%VOICEXML.Accept.attrib;
	dtmf 	CDATA 		   #IMPLIED
	event	%EventName.datatype; #IMPLIED
	fetchaudio %URI.datatype;  #IMPLIED
	%VOICEXML.Next.attrib; >
<!-- end of choice.attlist -->]]>

<!-- menu:  Definition List ............................ -->

<!ENTITY % VOICEXML.menu.element "INCLUDE" >
<![%VOICEXML.menu.element;[
<!ENTITY % VOICEXML.menu.content 
	"( %Audio.mix;
	 | %VOICEXML.choice.qname;
	 | %EventHandler.class;
	   %Prompt.class;
	   %Property.class;)*" >
<!ENTITY % VOICEXML.menu.qname "menu" >	   
<!ELEMENT %VOICEXML.menu.qname; %VOICEXML.menu.content; >
<!-- end of menu.element -->]]>

<!ENTITY % VOICEXML.menu.attlist "INCLUDE" >
<![%VOICEXML.menu.attlist;[
<!ATTLIST %VOICEXML.menu.qname;
	id		ID		 #IMPLIED
	scope %VOICEXML.Scope.attrib;     'dialog' 
	%VOICEXML.Accept.attrib; 
	dtmf	%Boolean.datatype; 'false' >
<!-- end of menu.attlist -->]]>

<!-- end of voicexml-menu-1.mod -->


