<!-- ...................................................................... -->
<!-- Voice XML Miscellaneous Module  ...................................... -->
<!-- file: voicexml-misc-1.mod

     This is VoiceXML 2.0, a reformulation of Voice XML in terms of XML modules.
     Copyright 1998-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.
     Revision: $Id: voicexml-misc-1.mod,v 0.1 2001/10/24 gm Exp $ SMI

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ELEMENTS VOICEXML Miscellaneous 1.0//EN"
       SYSTEM "voicexml-misc-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- Miscellaneous elements

        exit, goto, link, script, submit

     This module declares miscellaneous element types and their attributes.
--> 

<!ENTITY % VOICEXML.exit.qname "exit" >
<!ENTITY % VOICEXML.goto.qname "goto" >
<!ENTITY % VOICEXML.link.qname "link" >
<!ENTITY % VOICEXML.script.qname "script" >
<!ENTITY % VOICEXML.submit.qname "submit" >

<!-- exit:  Definition List ............................ -->

<!ENTITY % VOICEXML.exit.element "INCLUDE" >
<![%VOICEXML.exit.element;[
<!ENTITY % VOICEXML.exit.content "EMPTY" >
<!ELEMENT %VOICEXML.exit.qname; %VOICEXML.exit.content; >
<!-- end of exit.element -->]]>

<!ENTITY % VOICEXML.exit.attlist "INCLUDE" >
<![%VOICEXML.exit.attlist;[
<!ATTLIST %VOICEXML.exit.qname;
	expr %Script.datatype; #IMPLIED 
	namelist %FieldNames.datatype; #IMPLIED >
<!-- end of exit.attlist -->]]>

<!-- goto:  Definition List ............................ -->

<!ENTITY % VOICEXML.goto.element "INCLUDE" >
<![%VOICEXML.goto.element;[
<!ENTITY % VOICEXML.goto.content "EMPTY" >
<!ELEMENT %VOICEXML.goto.qname; %VOICEXML.goto.content; >
<!-- end of goto.element -->]]>

<!ENTITY % VOICEXML.goto.attlist "INCLUDE" >
<![%VOICEXML.goto.attlist;[
<!ATTLIST %VOICEXML.goto.qname;
	%VOICEXML.Cache.attrib;
	%VOICEXML.Next.attrib;
	fetchaudio %URI.datatype; #IMPLIED
	expritem   %Script.datatype; #IMPLIED
	nextitem   %FieldName.datatype; #IMPLIED >
<!-- end of goto.attlist -->]]>

<!-- link:  Definition List ............................ -->

<!ENTITY % VOICEXML.link.element "INCLUDE" >
<![%VOICEXML.link.element;[
<!ENTITY % VOICEXML.link.content "( %VOICEXML.grammar.qname; )*" >
<!ELEMENT %VOICEXML.link.qname; %VOICEXML.link.content; >
<!-- end of link.element -->]]>

<!ENTITY % VOICEXML.link.attlist "INCLUDE" >
<![%VOICEXML.link.attlist;[
<!ATTLIST %VOICEXML.link.qname;
	%VOICEXML.Cache.attrib;
	%VOICEXML.Next.attrib;
	fetchaudio 	%URI.datatype;  #IMPLIED
	dtmf		CDATA		    #IMPLIED
	event		%EventName.datatype; #IMPLIED >
<!-- end of link.attlist -->]]>

<!-- script:  Definition List ............................ -->

<!ENTITY % VOICEXML.script.element "INCLUDE" >
<![%VOICEXML.script.element;[
<!ENTITY % VOICEXML.script.content "(#PCDATA)" >
<!ELEMENT %VOICEXML.script.qname; %VOICEXML.script.content; >
<!-- end of script.element -->]]>

<!ENTITY % VOICEXML.script.attlist "INCLUDE" >
<![%VOICEXML.script.attlist;[
<!ATTLIST %VOICEXML.script.qname;
	src %URI.datatype; #IMPLIED
	charset CDATA #IMPLIED 
	%VOICEXML.Cache.attrib; >
<!-- end of script.attlist -->]]>

<!-- submit:  Definition List ............................ -->

<!ENTITY % VOICEXML.submit.element "INCLUDE" >
<![%VOICEXML.submit.element;[
<!ENTITY % VOICEXML.submit.content "EMPTY" >
<!ELEMENT %VOICEXML.submit.qname; %VOICEXML.submit.content; >
<!-- end of submit.element -->]]>

<!ENTITY % VOICEXML.submit.attlist "INCLUDE" >
<![%VOICEXML.submit.attlist;[
<!ATTLIST %VOICEXML.submit.qname;
	%VOICEXML.Cache.attrib;
	%VOICEXML.Next.attrib;
	fetchaudio %URI.datatype; #IMPLIED
	%VOICEXML.Submit.attrib; >
<!-- end of submit.attlist -->]]>

<!-- end of voicexml-misc-1.mod -->
