<!-- ...................................................................... -->
<!-- XML Events Module .................................................... -->
<!-- file: xml-events-1.mod

     This is XML Events - the Events Module for XML.
     a redefinition of access to the DOM events model.

     Copyright 2000-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES XML Events 1.0//EN"
       SYSTEM "http://www.w3.org/TR/xml-events/DTD/xml-events-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!ENTITY % URI.datatype "CDATA">

<!-- XML Events defines the listener element and its attributes -->

<!ENTITY % xml-events.listener.content "EMPTY" >
<!ENTITY % xml-events.listener.qname "listener" >
<!ELEMENT %xml-events.listener.qname; %xml-events.listener.content;>
<!ATTLIST %xml-events.listener.qname;
    id               ID           #IMPLIED
    %xml-events.event.qname;            NMTOKEN      #REQUIRED
    %xml-events.observer.qname;         IDREF        #IMPLIED
    %xml-events.target.qname;           IDREF        #IMPLIED
    %xml-events.handler.qname;          %URI.datatype;        #IMPLIED
    %xml-events.phase.qname;            (capture|default) #IMPLIED
    %xml-events.propagate.qname;        (stop|continue)   #IMPLIED
    %xml-events.defaultAction.qname;    (cancel|perform)  #IMPLIED
>

<!-- end of xml-events-1.mod -->
 
