<!-- ...................................................................... -->
<!-- XHTML+Voice Extension Module ......................................... -->
<!-- file: xv-extension-1.mod

     This is the XHTML+Voice Extension module adding declarative
     synchronization between XHTML form inputs and the VoiceXML field.

     Copyright 2000-2001 W3C (MIT, INRIA, Keio), All Rights Reserved.

     This DTD module is identified by the PUBLIC and SYSTEM identifiers:

       PUBLIC "-//W3C//ENTITIES XHTML+Voice Extension 1.0//EN"
       SYSTEM "http://www.w3.org/TR/xhtml+voice/xv-extension-1.mod"

     Revisions:
     (none)
     ....................................................................... -->

<!-- XHTML+Voice Extension defines the sync element and its attributes -->
<!ENTITY % uri "CDATA">

<!ENTITY % xv-ext.sync.content "EMPTY" >

<!ELEMENT %xv-ext.sync.qname; %xv-ext.sync.content; >
<!ATTLIST %xv-ext.sync.qname;
    id               	     ID        	#IMPLIED
    %xv-ext.input.qname;     NMTOKEN    #REQUIRED
    %xv-ext.field.qname;     %uri;      #REQUIRED
    %xv-ext.html-form-id.qname; IDREF	#IMPLIED
>

<!ENTITY % xv-ext.cancel.content "EMPTY" >

<!ELEMENT %xv-ext.cancel.qname; %xv-ext.cancel.content; >
<!ATTLIST %xv-ext.cancel.qname;
    id               		    ID      #REQUIRED
    %xv-ext.voice-handler.qname;    %uri;   #IMPLIED
>

<!-- end of xv-extension-1.mod -->
